highflybird Posted February 25, 2014 Share Posted February 25, 2014 (defun c:tt( / en en1 pt p1 p2 p3 p4 dist) (setvar 'osmode 0) (setq dist (getdist (strcat "Enter the offset distance:<" (rtos (getvar "OFFSETDIST")) ">"))) (if (null dist) (setq dist (getvar "offsetdist")) (setvar "offsetdist" dist) ) (while (setq en (car(entsel"\nPlease select object:"))) (command "offset" dist en pause "") (setq en1 (entlast)) (setq p1(vlax-curve-getstartpoint en) p2(vlax-curve-getendpoint en) p3(vlax-curve-getstartpoint en1) p4(vlax-curve-getendpoint en1)) (command ".line" p1 p3 "" ".line" p2 p4 "")) (setvar 'osmode 4133) (princ) ) This code can't Multiple choice ,For cricle, rectangular,Closed polyline support is not perfect. Quote Link to comment Share on other sites More sharing options...
Lee Mac Posted February 25, 2014 Share Posted February 25, 2014 This program could be modified to suit: http://www.cadtutor.net/forum/showthread.php?75999&p=512946&viewfull=1#post512946 Quote Link to comment Share on other sites More sharing options...
liuhaixin88 Posted February 26, 2014 Share Posted February 26, 2014 This program could be modified to suit: http://www.cadtutor.net/forum/showthread.php?75999&p=512946&viewfull=1#post512946 Thanks lee, I will look carefully! Quote Link to comment Share on other sites More sharing options...
Lee Mac Posted February 26, 2014 Share Posted February 26, 2014 You're welcome Quote Link to comment Share on other sites More sharing options...
highflybird Posted February 27, 2014 Author Share Posted February 27, 2014 THS,Lee,I test, Find It's not support "circle" and "arc", And, for closed polyline have a problem. Quote Link to comment Share on other sites More sharing options...
Lee Mac Posted February 27, 2014 Share Posted February 27, 2014 THS,Lee,I test, Find It's not support "circle" and "arc" Yes, the program only supports polylines. And, for closed polyline have a problem. Please upload a drawing for which the program fails. Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.